Package be.vlaanderen.mercurius.avr.schemas.v1

# Class AVRDF501CreateIndicationReportResponse

java.lang.Object
be.vlaanderen.mercurius.avr.schemas.v1.AVRDF501CreateIndicationReportResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class AVRDF501CreateIndicationReportResponse extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}MessageMetadataType" minOccurs="0"/>
             <element name="IndicationReportVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
             <element name="ErrorList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ErrorListType" minOccurs="0"/>
             <element name="NotificationList" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}NotificationListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AVRDF501CreateIndicationReportResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorListType`
  `getErrorList()`
  Lijst met fouten
  `String`
  `getIndicationReportVSBReference()`
  Unieke identificatie van de aanvaarde indicatiestelling
  `MessageMetadataType`
  `getMessageMetadata()`
  Tracing informatie
  `NotificationListType`
  `getNotificationList()`
  Lijst met meldingen
  `void`
  `setErrorList(ErrorListType value)`
  Sets the value of the errorList property.
  `void`
  `setIndicationReportVSBReference(String value)`
  Sets the value of the indicationReportVSBReference property.
  `void`
  `setMessageMetadata(MessageMetadataType value)`
  Sets the value of the messageMetadata property.
  `void`
  `setNotificationList(NotificationListType value)`
  Sets the value of the notificationList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AVRDF501CreateIndicationReportResponse

    public AVRDF501CreateIndicationReportResponse()

- ## Method Details

  - ### getMessageMetadata

    public MessageMetadataType getMessageMetadata()
    Tracing informatie
    Returns:
      possible object is `MessageMetadataType`

  - ### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)
    Sets the value of the messageMetadata property.
    Parameters:
      `value` - allowed object is `MessageMetadataType`
    See Also:
      - `getMessageMetadata()`

  - ### getIndicationReportVSBReference

    public String getIndicationReportVSBReference()
    Unieke identificatie van de aanvaarde indicatiestelling
    Returns:
      possible object is `String`

  - ### setIndicationReportVSBReference

    public void setIndicationReportVSBReference(String value)
    Sets the value of the indicationReportVSBReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getIndicationReportVSBReference()`

  - ### getErrorList

    public ErrorListType getErrorList()
    Lijst met fouten
    Returns:
      possible object is `ErrorListType`

  - ### setErrorList

    public void setErrorList(ErrorListType value)
    Sets the value of the errorList property.
    Parameters:
      `value` - allowed object is `ErrorListType`
    See Also:
      - `getErrorList()`

  - ### getNotificationList

    public NotificationListType getNotificationList()
    Lijst met meldingen
    Returns:
      possible object is `NotificationListType`

  - ### setNotificationList

    public void setNotificationList(NotificationListType value)
    Sets the value of the notificationList property.
    Parameters:
      `value` - allowed object is `NotificationListType`
    See Also:
      - `getNotificationList()`